version: "3.2"

services:
  firefox-syncserver:
    image: crazymax/firefox-syncserver:latest
    container_name: firefox_syncserver
    ports:
      - "5000:5000"
        #      - target: 5000
        #        published: 5000
        #        protocol: tcp
    volumes:
      - /home/icke/firefox_sync:/data
    environment:
      TZ: CEST
      FF_SYNCSERVER_ACCESSLOG: "true"
      #      FF_SYNCSERVER_LOGLEVEL: 
      FF_SYNCSERVER_PUBLIC_URL: "https://sync.egonetix.de"
      FF_SYNCSERVER_SECRET: "D3NTEnkCLwBMcaZ&Z*p*W9xvfBgDuFQ2XgHGSNhSELv"
      FF_SYNCSERVER_ALLOW_NEW_USERS: "true"
      FF_SYNCSERVER_FORCE_WSGI_ENVIRON: "true"
      FF_SYNCSERVER_FORWARDED_ALLOW_IPS: "*"
        #    env_file:
        #      - "./firefox-syncserver.env"
    restart: unless-stopped
    networks:
      firefox_sync:
        ipv4_address: 172.27.0.2

networks:
  firefox_sync:
    driver: bridge
    ipam:
     config:
       - subnet: 172.27.0.0/30


volumes:
  firefox-syncserver:

